<?xml version="1.0" encoding="utf-8" ?>
<!--
	iekko <iekko@free.fr>
	$Id: xspf2m3u.xsl,v 1.2 2011-01-16 16:23:34 iekko Exp $
-->
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xspf="http://xspf.org/ns/0/">

	<xsl:output method="text" />

	<xsl:template match="/">
		<xsl:text>#EXTM3U</xsl:text>
		<xsl:apply-templates select="xspf:playlist/xspf:trackList/xspf:track" />
	</xsl:template>

	<xsl:template match="xspf:track">
		<xsl:text>#EXTINFO:</xsl:text>
		<xsl:value-of select="xspf:duration div 1000" />
		<xsl:text>,</xsl:text>
		<xsl:value-of select="xspf:creator" />
		<xsl:text> - </xsl:text>
		<xsl:value-of select="xspf:title" />
		<xsl:text>&#10;</xsl:text>
		<xsl:value-of select="xspf:location" />
		<xsl:text>&#10;</xsl:text>
	</xsl:template>

</xsl:stylesheet>

